[arch-commits] CVS update of arch/build/base/gcc (PKGBUILD gcc-hash-style-both.patch)

Jan de Groot jgc at archlinux.org
Sun Jun 24 15:42:00 UTC 2007


    Date: Sunday, June 24, 2007 @ 11:42:00
  Author: jgc
    Path: /home/cvs-arch/arch/build/base/gcc

   Added: gcc-hash-style-both.patch (1.1)
Modified: PKGBUILD (1.68 -> 1.69)

Since we have a new binutils now, build with sysv and GNU style hashing (both) by default.
Compile with --with-cpu=generic, which would throw away the need to -mtune=generic in CFLAGS 


---------------------------+
 PKGBUILD                  |   14 ++--
 gcc-hash-style-both.patch |  136 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 145 insertions(+), 5 deletions(-)


Index: arch/build/base/gcc/PKGBUILD
diff -u arch/build/base/gcc/PKGBUILD:1.68 arch/build/base/gcc/PKGBUILD:1.69
--- arch/build/base/gcc/PKGBUILD:1.68	Sun Jun 24 07:21:14 2007
+++ arch/build/base/gcc/PKGBUILD	Sun Jun 24 11:42:00 2007
@@ -1,8 +1,8 @@
-# $Id: PKGBUILD,v 1.68 2007/06/24 11:21:14 andyrtr Exp $
+# $Id: PKGBUILD,v 1.69 2007/06/24 15:42:00 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=gcc
 pkgver=4.2.0
-pkgrel=3
+pkgrel=4
 _snapshot=4.2-20070620
 pkgdesc="The GNU Compiler Collection"
 arch=(i686 x86_64)
@@ -13,12 +13,14 @@
 source=(#ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,objc}-${pkgver}.tar.bz2
 	ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,objc}-${_snapshot}.tar.bz2
 	ftp://gcc.gnu.org/pub/gcc/libstdc++/doxygen/libstdc++-man-4.2.0.tar.bz2
-	gcc_pure64.patch)
+	gcc_pure64.patch
+	gcc-hash-style-both.patch)
 md5sums=('247a68e66877cac8dd63ed0c154fa0a8'
          '3768a7aae3ca257e5c8aa43024bcf5b4'
          'b12439fc49385aa2a3a27958b5f2c5e1'
          'e70d37c0623b15e90cff47d91816a941'
-         '8fc86e4c4d1f4ec8b226307d39fbd9e3')
+         '8fc86e4c4d1f4ec8b226307d39fbd9e3'
+	 '611fbd749019f0ce2fad36fda17e93dd')
 
 build() {
 #  cd ${startdir}/src/gcc-${pkgver}
@@ -29,6 +31,7 @@
   if [ "${CARCH}" = "x86_64" ]; then
     patch -Np1 -i ../gcc_pure64.patch || return 1
   fi
+  patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
   # Don't run fixincludes
   sed -i -e 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
 
@@ -39,7 +42,8 @@
   ../configure --prefix=/usr --enable-shared \
       --enable-languages=c,c++,objc --enable-threads=posix \
       --enable-__cxa_atexit  --disable-multilib --libdir=/usr/lib \
-      --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch
+      --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch \
+      --with-cpu=generic
   make bootstrap || return 1
   make DESTDIR=${startdir}/pkg install || return 1
   mkdir -p ${startdir}/pkg/lib
Index: arch/build/base/gcc/gcc-hash-style-both.patch
diff -u /dev/null arch/build/base/gcc/gcc-hash-style-both.patch:1.1
--- /dev/null	Sun Jun 24 11:42:00 2007
+++ arch/build/base/gcc/gcc-hash-style-both.patch	Sun Jun 24 11:42:00 2007
@@ -0,0 +1,136 @@
+2006-07-11  Jakub Jelinek  <jakub at redhat.com>
+
+	* config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
+	* config/i386/linux64.h (LINK_SPEC): Likewise.
+	* config/rs6000/sysv4.h (LINK_OS_LINUX_SPEC): Likewise.
+	* config/rs6000/linux64.h (LINK_OS_LINUX_SPEC32,
+	LINK_OS_LINUX_SPEC64): Likewise.
+	* config/s390/linux.h (LINK_SPEC): Likewise.
+	* config/ia64/linux.h (LINK_SPEC): Likewise.
+	* config/sparc/linux.h (LINK_SPEC): Likewise.
+	* config/sparc/linux64.h (LINK_SPEC, LINK_ARCH32_SPEC,
+	LINK_ARCH64_SPEC): Likewise.
+	* config/alpha/linux-elf.h (LINK_SPEC): Likewise.
+
+--- gcc/config/alpha/linux-elf.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/alpha/linux-elf.h	2006-12-11 13:03:10.336229000 +0100
+@@ -40,7 +40,7 @@
+ 
+ #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
+ 
+-#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax}		\
++#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax}	\
+   %{O*:-O3} %{!O*:-O1}						\
+   %{shared:-shared}						\
+   %{!shared:							\
+--- gcc/config/s390/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/s390/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -78,7 +78,7 @@
+ 
+ #undef  LINK_SPEC
+ #define LINK_SPEC \
+-  "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
++  "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
+    %{shared:-shared} \
+    %{!shared: \
+       %{static:-static} \
+--- gcc/config/sparc/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/sparc/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -133,7 +133,7 @@
+ 
+ 
+ #undef  LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+   %{!mno-relax:%{!r:-relax}} \
+   %{!shared: \
+     %{!ibcs: \
+--- gcc/config/sparc/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/sparc/linux64.h	2006-12-11 13:03:10.336229000 +0100
+@@ -167,7 +167,7 @@
+   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
+   { "link_arch",	 LINK_ARCH_SPEC },
+ 
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -176,7 +176,7 @@
+         %{static:-static}}} \
+ "
+ 
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -257,7 +257,7 @@
+ #else /* !SPARC_BI_ARCH */
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+--- gcc/config/i386/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/i386/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -109,7 +109,7 @@
+   { "dynamic_linker", LINUX_DYNAMIC_LINKER }
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
++#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+--- gcc/config/i386/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/i386/linux64.h	2006-12-11 13:03:51.046229000 +0100
+@@ -53,7 +53,7 @@
+ #define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
++#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} --hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/ia64/linux.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/ia64/linux.h	2006-12-11 13:03:10.346229000 +0100
+@@ -40,7 +40,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "\
++#define LINK_SPEC "--hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/rs6000/sysv4.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/rs6000/sysv4.h	2006-12-11 13:03:10.346229000 +0100
+@@ -908,7 +908,7 @@
+ #define LINUX_DYNAMIC_LINKER \
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+ 
+-#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
+ 
+--- gcc/config/rs6000/linux64.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/rs6000/linux64.h	2006-12-11 13:03:10.346229000 +0100
+@@ -351,11 +351,11 @@
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
+ 
+ 
+-#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}}"
+ 
+-#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}}"
+ 




More information about the arch-commits mailing list